DependencyResolutionManagement (Gradle API 8.14.1)
Description: declaration: package: org.gradle.api.initialization.resolve, interface: DependencyResolutionManagement

Package org.gradle.api.initialization.resolve

# Interface DependencyResolutionManagement

public interface DependencyResolutionManagement
Allows configuring dependency resolution for all projects of the build.

Since:
  6.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `components(Action<? super ComponentMetadataHandler> registration)`
  Registers component metadata rules used by all projects
  `ComponentMetadataHandler`
  `getComponents()`
  Returns the shared component metadata handler
  `Property<String>`
  `getDefaultLibrariesExtensionName()`
  Returns the name of the extension generated by default from the TOML dependencies file if found.
  `Property<String>`
  `getDefaultProjectsExtensionName()`
  Returns the name of the extension generated for type-safe project accessors.
  `RepositoryHandler`
  `getRepositories()`
  Returns the shared repository handler
  `Property<RepositoriesMode>`
  `getRepositoriesMode()`
  `Property<RulesMode>`
  `getRulesMode()`
  `MutableVersionCatalogContainer`
  `getVersionCatalogs()`
  Returns the configurable version catalogs.
  `void`
  `repositories(Action<? super RepositoryHandler> repositoryConfiguration)`
  Configures the repositories used by all projects
  `void`
  `versionCatalogs(Action<? super MutableVersionCatalogContainer> spec)`
  Configures the version catalogs which will be used to generate type safe accessors for dependencies.

- ## Method Details

  - ### repositories

    @Incubating void repositories(Action<? super RepositoryHandler> repositoryConfiguration)
    Configures the repositories used by all projects
    Parameters:
      `repositoryConfiguration` - the repositories configuration

  - ### getRepositories

    @Incubating RepositoryHandler getRepositories()
    Returns the shared repository handler

  - ### getRepositoriesMode

    @Incubating Property<RepositoriesMode> getRepositoriesMode()

  - ### components

    void components(Action<? super ComponentMetadataHandler> registration)
    Registers component metadata rules used by all projects
    Parameters:
      `registration` - the registration action

  - ### getRulesMode

    Property<RulesMode> getRulesMode()

  - ### getComponents

    ComponentMetadataHandler getComponents()
    Returns the shared component metadata handler

  - ### versionCatalogs

    void versionCatalogs(Action<? super MutableVersionCatalogContainer> spec)
    Configures the version catalogs which will be used to generate type safe accessors for dependencies.
    Parameters:
      `spec` - the spec to configure the dependencies
    Since:
      7.0

  - ### getVersionCatalogs

    MutableVersionCatalogContainer getVersionCatalogs()
    Returns the configurable version catalogs.
    Since:
      7.0

  - ### getDefaultProjectsExtensionName

    Property<String> getDefaultProjectsExtensionName()
    Returns the name of the extension generated for type-safe project accessors. Defaults to "projects"
    Since:
      7.0

  - ### getDefaultLibrariesExtensionName

    Property<String> getDefaultLibrariesExtensionName()
    Returns the name of the extension generated by default from the TOML dependencies file if found. Defaults to "libs".
    Since:
      7.0